## org.eclipse.xsd
Enum XSDCardinality

    java.lang.Object
      java.lang.Enum<XSDCardinality>
          org.eclipse.xsd.XSDCardinality

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDCardinality>, Enumerator

    public enum XSDCardinality

extends java.lang.Enum<XSDCardinality>
implements Enumerator

A representation of the literals of the enumeration 'Cardinality'.

See Also:
  `XSDCardinalityFacet.getValue()`, `XSDPackage.getXSDCardinality()`

Enum Constant Summary
`COUNTABLY_INFINITE_LITERAL` The 'Countably Infinite' literal object
`FINITE_LITERAL` The 'Finite' literal object

Field Summary
`static int` `COUNTABLY_INFINITE` The 'Countably Infinite' literal value
`static int` `FINITE` The 'Finite' literal value
`static java.util.List<XSDCardinality>` `VALUES` A public read-only list of all the 'Cardinality' enumerators

Method Summary
`static XSDCardinality` `get(int value)` Returns the 'Cardinality' literal with the specified integer value
`static XSDCardinality` `get(java.lang.String literal)` Returns the 'Cardinality' literal with the specified literal value
`static XSDCardinality` `getByName(java.lang.String name)` Returns the 'Cardinality' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDCardinality` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDCardinality[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FINITE_LITERAL

    public static final XSDCardinality FINITE_LITERAL

  The 'Finite' literal object.

  See Also:
    `FINITE`

### COUNTABLY_INFINITE_LITERAL

    public static final XSDCardinality COUNTABLY_INFINITE_LITERAL

  The 'Countably Infinite' literal object.

  See Also:
    `COUNTABLY_INFINITE`

Field Detail

### FINITE

    public static final int FINITE

  The 'Finite' literal value.

  This is used to indicate that the value space of a simple type definition is finite.

  See Also:
    `FINITE_LITERAL`, Constant Field Values

### COUNTABLY_INFINITE

    public static final int COUNTABLY_INFINITE

  The 'Countably Infinite' literal value.

  This is used to indicate that the value space of a simple type definition is countably infinite.

  See Also:
    `COUNTABLY_INFINITE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDCardinality> VALUES

  A public read-only list of all the 'Cardinality' enumerators.

Method Detail

### values

    public static final XSDCardinality[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDCardinality c : XSDCardinality.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDCardinality valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDCardinality get(java.lang.String literal)

  Returns the 'Cardinality' literal with the specified literal value.

### getByName

    public static XSDCardinality getByName(java.lang.String name)

  Returns the 'Cardinality' literal with the specified name.

### get

    public static XSDCardinality get(int value)

  Returns the 'Cardinality' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDCardinality>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.